=== debian/changelog ===
freeciv (3.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Bump S-V to 4.6.2 -- no changes required.
  * Add upstream metadata.

 -- Tobias Frost <tobi@debian.org>  Sat, 04 Feb 2023 09:35:59 +0100

freeciv (3.0.5-1) unstable; urgency=medium

  * New upstream release.

 -- Tobias Frost <tobi@debian.org>  Mon, 26 Dec 2022 18:01:04 +0100
