=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# Export all hardening build flags
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--cache-file=$(CURDIR)/config.cache \
		--sysconfdir=/etc \
		--prefix=/usr \
		--datadir=\$${prefix}/share/games \
		--bindir=\$${prefix}/games \
		--enable-debug=no \
		--enable-client=gtk3.22,sdl2,qt \
		--enable-fcmp=gtk3 \
		--disable-silent-rules \
		--enable-fcdb=sqlite3 \
		--disable-freeciv-manual \
		--with-missinglist \
		--enable-sys-lua=yes

override_dh_installchangelogs:
	dh_installchangelogs --keep NEWS

execute_after_dh_install:
	# Remove ttf fonts from -data, now provided by dependencies.
	rm -f debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl2/human/*.ttf
	rm -f debian/freeciv-data/usr/share/games/freeciv/themes/gui-sdl2/human/COPYING.*

execute_before_dh_link:
	# Remove doc dirs for arch-dependent packages and symlink
	# to freeciv-data's in dh_link
	rm -rf debian/freeciv-server/usr/share/doc/freeciv-server
	rm -rf debian/freeciv/usr/share/doc/freeciv
	rm -rf debian/freeciv-client-gtk/usr/share/doc/freeciv-client-gtk
	rm -rf debian/freeciv-client-gtk3/usr/share/doc/freeciv-client-gtk3
	rm -rf debian/freeciv-client-qt/usr/share/doc/freeciv-client-qt
	rm -rf debian/freeciv-client-sdl/usr/share/doc/freeciv-client-sdl
	rm -rf debian/freeciv-client-extras/usr/share/doc/freeciv-client-extras
