## freeciv 3.0.8

=== debian/changelog ===
freeciv (3.0.8-1) unstable; urgency=medium

  * New upstream release.
    - Refresh patches.
    - Add gtk4 mp client manpage to not-installed.
  * replace symlinks to docs, as Arch:all <-> Arch:any symlinks violate policy.
    (Closes: #1018764)

 -- Tobias Frost <tobi@debian.org>  Mon, 17 Jul 2023 18:19:27 +0200
