=== debian/changelog ===
freeciv (3.1.0+ds-1build5) noble; urgency=medium

  * No-change rebuild against libqt6core6t64.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Apr 2024 15:04:12 +0100

freeciv (3.1.0+ds-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 05:19:38 +0000

freeciv (3.1.0+ds-1build3) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 06:53:56 +0000

freeciv (3.1.0+ds-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:25:47 +0000

freeciv (3.1.0+ds-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:36:35 +0000

freeciv (3.1.0+ds-1) unstable; urgency=medium

  * New upstream version 3.1.0+ds
    - Refresh patches.
    - Remove patch-1056916.patch, applied upstream.
  * Prepare for new upstream version:
    - Update d/watch to version 4 and prepare for +ds suffix, as we will
      repack.
    - d/copyright: Use Files-Excluded to strip lua from upstream tarball.
  * Update packaging for new upstream version:
    - Remove lua-5.3 from d/clean, we strip lua from the tarball.
    - Upstream now uses lua 5.4, B-D on it and drop B-D on lua-5.3
    - upstream is now using QT 6, so B-D on it instead of QT 5.
    - Drop lua from d/copyright, as we removed it by repacking.
    - Update d/*install to cater some file renames.
  * Drop transitional package freeciv-client-gtk.

 -- Tobias Frost <tobi@debian.org>  Thu, 07 Mar 2024 20:49:31 +0100

freeciv (3.0.8-2) unstable; urgency=medium

  * Fix "freeciv fails to load saved games", applying patch from
    Marco (Closes: #1056916)

 -- Tobias Frost <tobi@debian.org>  Mon, 27 Nov 2023 18:18:57 +0100
