=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: freeciv
 Section: games
 Priority: optional
-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Jordi Mallach <jordi@debian.org>,
  Clint Adams <clint@debian.org>,
@@ -18,8 +19,7 @@
  libbz2-dev,
  libcurl4-gnutls-dev,
  libgtk-3-dev,
- libgtk2.0-dev,
- liblua5.3-dev,
+ liblua5.4-dev,
  liblzma-dev,
  libreadline-dev,
  libsdl2-dev,
@@ -29,8 +29,8 @@
  libsdl2-gfx-dev,
  libsqlite3-dev,
  libtolua-dev,
- qtbase5-dev,
- qtbase5-dev-tools,
+ qt6-base-dev,
+ qt6-base-dev-tools,
  zlib1g-dev
 
 Package: freeciv
@@ -60,18 +60,6 @@
  .
  This package includes Freeciv's modpack tool freeciv-mp-gtk3. It allows you to
  select and download custom rulesets and tilesets for the game.
-
-# This package can be removed after bookworm has been released.
-Package: freeciv-client-gtk
-Section: oldlibs
-Architecture: any
-Depends:
- freeciv (>= ${source:Version}), ${misc:Depends}, freeciv-data
-Description: Civilization turn based strategy game (GTK 2 client transitional package)
- This is a transitional package. It can safely be removed.
- .
- As the GTK2 Freeciv client has been removed, this package will pull in
- the default Freeciv client.
 
 Package: freeciv-client-gtk3
 Provides: freeciv-client (= ${binary:Version})
