## freeciv 3.1.1+ds

=== debian/changelog ===
freeciv (3.1.1+ds-1build1) oracular; urgency=medium

  * Rebuild against new no t64 renamed libqt6 libraries.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Jun 2024 09:32:05 +0200

freeciv (3.1.1+ds-1) unstable; urgency=medium

  * New upstream release 3.1.1.
    - Closes: #1066100.
  * Bump S-V to 4.7.0 - no changes required.

 -- Tobias Frost <tobi@debian.org>  Sat, 27 Apr 2024 08:47:13 +0200
