=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: freeciv
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Jordi Mallach <jordi@debian.org>,
  Clint Adams <clint@debian.org>,
  Markus Koschany <apo@debian.org>,
  Tobias Frost <tobi@debian.org>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://www.freeciv.org/
 Vcs-Git: https://salsa.debian.org/games-team/freeciv.git
