## freeciv 3.1.2+ds

=== debian/changelog ===
freeciv (3.1.2+ds-2) unstable; urgency=medium

  * Upload to experimental to clear NEW due to new binary package.
  * Provide gtk4-client package (Closes: #1072381)
  * Cherry pick patch from upstream that fixes a crash in the gtk4
    client, see conversation in #1066100 for details.

 -- Tobias Frost <tobi@debian.org>  Mon, 05 Aug 2024 06:52:53 +0200

freeciv (3.1.2+ds-1) unstable; urgency=medium

  * New upstream version 3.1.2+ds

 -- Tobias Frost <tobi@debian.org>  Sat, 03 Aug 2024 16:11:49 +0200
