=== debian/control ===
--- 
+++ 
@@ -18,6 +18,7 @@
  libbz2-dev,
  libcurl4-gnutls-dev,
  libgtk-3-dev,
+ libgtk-4-dev,
  liblua5.4-dev,
  liblzma-dev,
  libreadline-dev,
@@ -78,6 +79,24 @@
  .
  This is the GTK 3 version of Freeciv. It is the most sophisticated and
  recommended client to play the game.
+
+Package: freeciv-client-gtk4
+Provides: freeciv-client (= ${binary:Version})
+Architecture: any
+Depends:
+ freeciv-data (= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends}
+Recommends:
+ freeciv-server (= ${binary:Version})
+Suggests:
+ freeciv-client-extras,
+Description: Civilization turn based strategy game (GTK 4 client)
+ Freeciv is a free clone of the turn based strategy game Civilization.
+ In this game, each player becomes leader of a civilisation, fighting to
+ obtain the ultimate goal: the extinction of all other civilisations.
+ .
+ This is the GTK 4 version of Freeciv.
 
 Package: freeciv-client-qt
 Provides: freeciv-client (= ${binary:Version})
