## freeciv 3.1.4+ds

=== meson_options.txt ===
--- 
+++ 
@@ -76,6 +76,11 @@
        value: 'enabled',
        description: 'What kind of server should be build, if any')
 
+option('appimage',
+       type: 'boolean',
+       value: false,
+       description: 'Make a build suitable for AppImage packaging')
+
 option('qtver',
        type: 'combo',
        choices: ['qt5', 'qt6'],
