=== debian/changelog ===
freeciv (3.1.4+ds-2) unstable; urgency=medium

  * Team upload.
  * Remove tolua build dep that is vendored with changes.

 -- Bastian Germann <bage@debian.org>  Fri, 07 Mar 2025 14:17:12 +0100

freeciv (3.1.4+ds-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches, remove patch applied upstream.
  * B-D on libzstd-dev, as upstream gained zstd support.

 -- Tobias Frost <tobi@debian.org>  Sat, 04 Jan 2025 17:37:29 +0100
