=== debian/control ===
--- 
+++ 
@@ -28,7 +28,7 @@
  libsdl2-mixer-dev,
  libsdl2-gfx-dev,
  libsqlite3-dev,
- libtolua-dev,
+ libzstd-dev,
  qt6-base-dev,
  qt6-base-dev-tools,
  zlib1g-dev
