## freeciv 3.2.0+ds

=== meson_options.txt ===
--- 
+++ 
@@ -1,18 +1,13 @@
-option('ack_experimental',
-       type: 'boolean',
-       value: false,
-       description: 'User acknowledges experimental build')
-
 option('clients',
        type: 'array',
-       choices: ['gtk3.22','sdl2', 'qt', 'gtk4'],
-       value: ['gtk3.22'],
+       choices: ['gtk3.22','sdl2', 'qt', 'gtk4', 'stub', 'sdl3'],
+       value: ['gtk4'],
        description: 'Clients to build')
 
 option('fcmp',
        type: 'array',
        choices: ['gtk3','qt','cli','gtk4'],
-       value: ['gtk3'],
+       value: ['gtk4'],
        description: 'Modpack installer UIs to build')
 
 option('cacert-path',
@@ -51,14 +46,16 @@
        description: 'Enable readline functionality')
 
 option('audio',
-       type: 'boolean',
-       value: true,
-       description: 'Build in sound support')
+       type: 'combo',
+       choices: ['none', 'sdl2', 'sdl3'],
+       value: 'sdl2',
+       description: 'Sound support type to build')
 
-option('ruledit',
-       type: 'boolean',
-       value: false,
-       description: 'Build ruleset editor')
+option('tools',
+       type: 'array',
+       choices: ['ruledit', 'manual', 'ruleup'],
+       value: ['ruledit', 'manual', 'ruleup'],
+       description: 'Extra tools to build')
 
 option('nls',
        type: 'boolean',
@@ -81,18 +78,38 @@
        value: false,
        description: 'Make a build suitable for AppImage packaging')
 
+option('gen-packets-args',
+       type: 'array',
+       value: [],
+       description: 'Additional arguments for the packet generator')
+
 option('qtver',
        type: 'combo',
        choices: ['qt5', 'qt6'],
        value: 'qt6',
        description: 'Whether to build Qt5 or Qt6 versions of the binaries')
 
+option('project-definition',
+       type: 'string',
+       value: '',
+       description: 'File with project definition')
+
 option('min-win-ver',
        type: 'string',
        value: '',
        description: 'Minimum Windows version to support')
 
+option('svgflags',
+       type: 'boolean',
+       value: true,
+       description: 'svg flags features enabled on build level')
+
 option('localeprefix',
        type: 'string',
        value: '',
        description: 'Localedir prefix to use instead of regular prefix')
+
+option('python',
+       type: 'string',
+       value: 'python3',
+       description: 'Python interpreter to use')
