=== debian/changelog ===
freeciv (3.2.0+ds-1) unstable; urgency=medium

  * New upstream version 3.2.0+ds (Closes: #1096649)
  * Bump Standards-Version to 4.7.2
  * Drop "Rules-Requires-Root: no", it is the new default
  * Refresh patches

 -- Alexandre Detiste <tchet@debian.org>  Fri, 22 Aug 2025 16:29:22 +0200
