=== debian/control ===
--- 
+++ 
@@ -7,8 +7,7 @@
  Clint Adams <clint@debian.org>,
  Markus Koschany <apo@debian.org>,
  Tobias Frost <tobi@debian.org>
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://www.freeciv.org/
 Vcs-Git: https://salsa.debian.org/games-team/freeciv.git
 Vcs-Browser: https://salsa.debian.org/games-team/freeciv
