## freeciv 3.2.1+ds

=== debian/changelog ===
freeciv (3.2.1+ds-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/copyright years.

 -- Tobias Frost <tobi@debian.org>  Fri, 07 Nov 2025 22:30:23 +0100
