=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 		--datadir=\$${prefix}/share/games \
 		--bindir=\$${prefix}/games \
 		--enable-debug=no \
-		--enable-client=gtk3.22,sdl2,qt \
+		--enable-client=gtk3.22,sdl2,qt,gtk4 \
 		--enable-fcmp=gtk3 \
 		--disable-silent-rules \
 		--enable-fcdb=sqlite3 \
