=== debian/watch ===
version=4
opts="uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a|graphics-materials)[\-\.]?\d*)$/$1~$2/,\
 dversionmangle=auto, repacksuffix=+ds" \
 https://files.freeciv.org/stable/freeciv-(\d.*)\.(?:tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
