## freeciv 3.2.2+ds

=== debian/changelog ===
freeciv (3.2.2+ds-1~tux1) noble; urgency=medium

  * Non-maintainer upload.
  * Rebuild for TUXEDO.

 -- Torsten Wohlfarth <tux@tuxedocomputers.com>  Tue, 27 Jan 2026 15:13:58 +0100

freeciv (3.2.2+ds-1) unstable; urgency=medium

  * Team upload.
  * New upstream version.

 -- Tobias Frost <tobi@debian.org>  Sat, 10 Jan 2026 17:31:00 +0100

freeciv (3.2.1+ds-2) unstable; urgency=medium

  * Team upload.
  * Fix font path for sdl2 client. (Closes: #1124437)

 -- Tobias Frost <tobi@debian.org>  Sat, 10 Jan 2026 17:06:32 +0100
